/**
 * ContextControlPropagating2.java
 *
 * File generated from the medication2::ContextControlPropagating2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ContextControlPropagating2.
 *
 * 
 */

@XmlType(name = "ContextControlPropagating")
@XmlEnum
@XmlRootElement(name = "ContextControlPropagating2")
public enum ContextControlPropagating2 {
	@XmlEnumValue("AP")
	AP("AP"),
	@XmlEnumValue("OP")
	OP("OP");
	
	private final String value;

    ContextControlPropagating2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ContextControlPropagating2 fromValue(String v) {
        for (ContextControlPropagating2 c: ContextControlPropagating2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
